{% extends 'blog/base.html' %}

{% block principal %}
    <h2>Postagens do Mês {{ mes }}</h2>
    {% if meses %}
        Arquivo de meses anteriores:
        {% for mes in meses %}
            (<a href="{% url 'blog:arquivo' mes %}">{{ mes }}/2022</a>),
        {% endfor %}
    {% endif %}
    {% if posts %}
        {% for post in posts %}
            <h3>{{ post.titulo }}</h3>
            <p>
            <u>Autor</u>: {{ post.user.first_name }},
            postado em {{ post.data }}.
            </p>
            <p>{{ post.texto | linebreaks }}</p>
            {% if post.comentario_set.all %}
              <h4>COMENTÁRIOS:</h4>
              {% for c in post.comentario_set.all %}
                <p>#{{ forloop.counter }} [em {{ c.data|date:'d/m/Y' }},
                por {{ c.user.username }}]: {{ c.texto }}</p>
              {% endfor %}
            {% endif %}
            {% if user.is_authenticated %}
              <h4>Comente aqui...</h4>
              <form action="{% url 'blog:novo_comentario' post.id %}" method="post">
                  {% csrf_token %}
                  {{ form.texto }}<br/>
                  <input type="submit" value="Cadatre seu comentário" />
              </form>
            {% endif %}
            <hr/>
        {% endfor %}
    {% else %}
        <h3>Nenhuma postagem cadastrada nesse mês</h3>
        <hr/>
    {% endif %}
{% endblock %}
